<?php

namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\Product\Sections\Lxc;

use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\Product\Sections\TwiceColumnSection;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Select;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Switcher;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Text;

class ConfigurationSection extends TwiceColumnSection implements AdminArea
{
    protected $id = 'lxcConfigurationSection';
    protected $name = 'lxcConfigurationSection';
    protected $title = 'lxcConfigurationSection';


    protected function initFields()
    {
        //Storage
        $field = new Select('customconfigoption[storage]');
        $field->setDescription('tip');
        $this->addField($field);
        //OS Architecture Type
        $field = new Select('customconfigoption[arch]');
        $field->setDescription('tip');
        $this->addField($field);
        //Console Type
        $field = new Select('customconfigoption[cmode]');
        $field->setDescription('tip');
        $this->addField($field);
        //Console
        $field = new Switcher('customconfigoption[console]');
        $field->setDescription('tip');
        $field->setDefaultValue("on");
        $this->addField($field);
        //OS Type
        $field = new Select('customconfigoption[ostype]');
        $field->setDescription('tip');
        $this->addField($field);
        //Start At Boot
        $field = new Switcher('customconfigoption[onboot]');
        $this->addField($field);
        //Add The VM To The Specific Pool
        $field = new  Select('customconfigoption[pool]');
        $field->setDescription('tip');
        $this->addField($field);
        //Protection
        $field = new Switcher('customconfigoption[protection]');
        $field->setDescription('tip');
        $this->addField($field);
        //Startup
        $field = new Text('customconfigoption[startup]');
        $field->setDescription('tip');
        $this->addField($field);
        //Amount of tty For The VM
        $field = new Text('customconfigoption[tty]');
        $field->setDescription('tip');
        $this->addField($field);
        //Unprivileged
        $field = new Switcher('customconfigoption[unprivileged]');
        $field->setDescription('tip');
        $this->addField($field);
        //SSH Key Pairs
        $field = new Switcher('customconfigoption[sshKeyPairs]');
        $field->setDescription('tip');
        $this->addField($field);
        //Delete Private Key
        $field = new Switcher('customconfigoption[sshDeletePrivateKey]');
        $field->setDescription('tip');
        $this->addField($field);
        //Start after created
        $field = new Switcher('customconfigoption[start]');
        $field->setDescription('tip');
        $this->addField($field);
        //featureKeyctl
        $field = new Switcher('customconfigoption[featureKeyctl]');
        $field->setDescription('tip');
        $this->addField($field);
        //featureNesting
        $field = new Switcher('customconfigoption[featureNesting]');
        $field->setDescription('tip');
        $this->addField($field);
        //featureNfs
        $field = new Switcher('customconfigoption[featureNfs]');
        $field->setDescription('tip');
        $this->addField($field);
        //featureCifs
        $field = new Switcher('customconfigoption[featureCifs]');
        $field->setDescription('tip');
        $this->addField($field);
        //featureFuse
        $field = new Switcher('customconfigoption[featureFuse]');
        $field->setDescription('tip');
        $this->rightSection->addField($field);
        //featureMknod
        $field = new Switcher('customconfigoption[featureMknod]');
        $field->setDescription('tip');
        $this->rightSection->addField($field);

    }

}
